summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Brad Hermanson2012-02-18 17:17:20 +0100
committer Niels Horn2012-02-18 17:17:20 +0100
commit677e37fab979321623962abbab837521874405d7 (patch)
tree4b2e085b2feddc555eb212d9919ef0f35014a101
parentb3bc959bd5b36bbd6b45ea1a31c07d842be3b151 (diff)
downloadslackbuilds-677e37fab979321623962abbab837521874405d7.tar.gz
games/quakeforge: Added (Linux port of id Software's Quake I)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--games/quakeforge/README8
-rw-r--r--games/quakeforge/quakeforge.SlackBuild75
-rw-r--r--games/quakeforge/quakeforge.info10
-rw-r--r--games/quakeforge/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/games/quakeforge/README b/games/quakeforge/README
new file mode 100644
index 0000000000..a577900d61
--- /dev/null
+++ b/games/quakeforge/README
@@ -0,0 +1,8 @@
+QuakeForge is a source port of id Software's Quake I.
+
+You will need at least pak0.pak to play the shareware version, and pak1.pak
+to play the full game. These can be added to either ~/.quakeforge/id1 or
+/usr/share/games/quakeforge/id1/.
+
+The binaries to run QuakeForge are as follows: nq-glx (for OpenGL client),
+nq-sdl (for SDL client), qw-client-glx (for QuakeWorld OpenGL client), etc.
diff --git a/games/quakeforge/quakeforge.SlackBuild b/games/quakeforge/quakeforge.SlackBuild
new file mode 100644
index 0000000000..e6e93bce50
--- /dev/null
+++ b/games/quakeforge/quakeforge.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Brad Hermanson <apeitheo@gmail.com>
+
+PRGNAM=quakeforge
+VERSION=0.6.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX}
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog INSTALL NEWS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/quakeforge/quakeforge.info b/games/quakeforge/quakeforge.info
new file mode 100644
index 0000000000..69727da8da
--- /dev/null
+++ b/games/quakeforge/quakeforge.info
@@ -0,0 +1,10 @@
+PRGNAM="quakeforge"
+VERSION="0.6.1"
+HOMEPAGE="http://quakeforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/quake/quakeforge-0.6.1.tar.bz2"
+MD5SUM="8e8318dfe2c6fdcd0906ce6f6cf32a7b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Brad Hermanson"
+EMAIL="apeitheo@gmail.com"
+APPROVED="Niels Horn"
diff --git a/games/quakeforge/slack-desc b/games/quakeforge/slack-desc
new file mode 100644
index 0000000000..7d23987388
--- /dev/null
+++ b/games/quakeforge/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+quakeforge: QuakeForge (Linux port of id Software's Quake I)
+quakeforge:
+quakeforge: QuakeForge is a source port of Quake and QuakeWorld.
+quakeforge:
+quakeforge: Note: You will need at least pak0.pak to play the shareware version,
+quakeforge: and pak1.pak to play the full game. These can be added to
+quakeforge: ~/.quakeforge/id1/ or /usr/share/games/quakeforge/id1/
+quakeforge:
+quakeforge:
+quakeforge: Website: http://quakeforge.net/
+quakeforge: